/* GET home page. */
function index(request, response) {
  var adminBlock = "";
  if(request.clientCert.fingerprint == '96:19:A6:91:57:AF:E2:D3:E0:80:FC:35:4E:BD:2A:46:C9:2D:CB:53') {
    adminBlock = '## Administration\r\n=> /admin/ Administration';
  }
response.send(`20 text/gemini\r\n
\`\`\` Uplink:SI Logo
■ ■ ■ ■  _  _  ____  _    _  _  _  _  _     ____  _  ■ ■ ■ ■
  ■ ■ ■  |  |  |__/  |    |  |\\ |  |_/   /  [__   |  ■ ■ ■
    ■ ■  \\__/  |     |___ |  | \\|  | \\_  /  ___]  |  ■ ■
      ■                                              ■
                       -=Est. 2021=-
\`\`\`
Uplink is my conection to the Gemini Space. It is to become a great site. At this moment I will be publishing my own articles, my own content.
# 📡Uplink:SI

## 🖥 About this server
Uplink.si started about ten years ago. A long time in Internet time. First it was running on free dynamic domains but at some point Uplink.si was registered. The server was always running HTTP and Gopher servers. I was always fascinated by old technologies, primarily because they were simple to understand fully. Back then I wrote a small gopher+ server and client. Now Gemini came along. Gemini is similar to Gopher in that fascinating simplicity. I was able to write a server in about 100 lines of JavaScript and it worked.

This server is evolution of the one I wrote in that one weekend. It is a bit more advanced, it resembles Express framework for NodeJS. That architecture should make it a bit easier to expand. Right now I moved some older content to articles section. Soon more will follow. For now this is a manual process but it kindof feels nice to revisit some old posts.

\`\`\` Ascii visual separator
─────────────────────────────────────────────────────────
\`\`\`

As mentioned, there is also a Gopher+ server somewhere around here.

=> gopher://uplink.si/ Uplink Gopher Server

## Articles
=> /articles/ 📓Articles

## Links to other hosts
=> gemini://geminispace.info/ 🔎Search Engine
\`\`\`
─────────────────────────────────────────────────────────
,___, 
(O,O) Uplink:SI Gemini Server
/)__) Serving the Gemini Space
  ""  
\`\`\`

${adminBlock}
`);
}

module.exports = index;
